diff --git a/openbsc/src/abis_rsl.c b/openbsc/src/abis_rsl.c
index c2ef9e5..bf47947 100644
--- a/openbsc/src/abis_rsl.c
+++ b/openbsc/src/abis_rsl.c
@@ -811,10 +811,10 @@ static int rsl_rx_conn_fail(struct msgb *msg)
 		if (TLVP_PRESENT(&tp, RSL_IE_CAUSE) &&
 		    TLVP_LEN(&tp, RSL_IE_CAUSE) >= 1 &&
 		    *TLVP_VAL(&tp, RSL_IE_CAUSE) == 0x18) {
-			if (msg->lchan->use_count > 0) {
+//			if (msg->lchan->use_count > 0) {
 				DEBUGPC(DRSL, "Cause 0x18 IGNORING, lchan in use! (%d times)\n", msg->lchan->use_count);
 				return 0;
-			}
+//			}
 		}
 	}
 
@@ -1105,8 +1110,8 @@ static int rsl_rx_rll_err_ind(struct msgb *msg)
 	u_int8_t *rlm_cause = rllh->data;
 
 	DEBUGPC(DRLL, "cause=0x%02x", rlm_cause[1]);
-		
-	return 0;
+
+	return rsl_chan_release(msg->lchan);
 }
 
 /*	ESTABLISH INDICATION, LOCATION AREA UPDATE REQUEST 
diff --git a/openbsc/src/gsm_04_08.c b/openbsc/src/gsm_04_08.c
index dc70c86..0eee009 100644
--- a/openbsc/src/gsm_04_08.c
+++ b/openbsc/src/gsm_04_08.c
@@ -385,7 +385,7 @@ static int gsm0408_handle_lchan_signal(unsigned int subsys, unsigned int signal,
 	 * Cancel any outstanding location updating request
 	 * operation taking place on the lchan.
 	 */
-	struct gsm_lchan *lchan = (struct gsm_lchan *)handler_data;
+	struct gsm_lchan *lchan = (struct gsm_lchan *)signal_data;
 	if (!lchan)
 		return 0;
 
